Skip to content

WhatsApp Senders

A WhatsApp Sender is also referred to as a 'Business Profile' or a WhatsApp channel. The WhatsApp Sender endpoint allows you to create a Sender through Meta's Embedded sign up. A Sender must be provisioned for you as a consumer of the WhatsApp API to send messages to your end users.

List all senders in project
GA

Request

Returns a paginated list of senders for the specified project. If no page token is supplied then the first 50 will be returned.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

Query
pageTokenstring

The page token if retrieving the next page from a previous query.

pageSizenumber, [ 1 .. 100 ]

The page size requested.

filterStatesArray of strings(WhatsappSenderStatesEnum)

Optionally query for sender by states.

Items Enum:"ACTIVE""IN_PROGRESS""INACTIVE""PENDING_VERIFICATION""SUSPENDED""ERROR"
filterStatusesArray of strings(WhatsappSenderStatusesEnum)

Optionally query for sender by statuses.

Items Enum:"DRAFT""ERROR""IN_PROGRESS""MULTIPLE_WABA_ERROR""REJECTED"
curl -i -X GET \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/senders?pageToken=string&pageSize=1&filterStates=ACTIVE&filterStatuses=DRAFT' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

List of senders

Bodyapplication/json
totalSizenumberrequired

Total size of the entries matching the search query.

pageSizenumberrequired

Requested size of the page.

sendersArray of objects(WhatsappSenderDto)required
previousPageTokenstring

Encoded token to use in list request to fetch previous batch of entries.

nextPageTokenstring

Encoded token to use in list request to fetch next batch of entries.

Response

Response with senders.

{ "totalSize": 2, "pageSize": 50, "senders": [ { … }, { … } ] }